Bug 74658 - e2fsck and debugfs refuse to fix file system problem
e2fsck and debugfs refuse to fix file system problem
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs (Show other bugs)
6.2
i586 Linux
high Severity high
: ---
: ---
Assigned To: Florian La Roche
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-29 19:43 EDT by Ron Dzierwa
Modified: 2015-01-07 19:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-20 10:57:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ron Dzierwa 2002-09-29 19:43:57 EDT
Description of Problem:

after a power failure, one of the ext2 filesystems had several problems.  Ran fsck, and cleaned up most, 
but the following occurs, and e2fsck refuses to fix the problem:


Parallelizing fsck version 1.18 (11-Nov-1999)
e2fsck 1.18, 11-Nov-1999 for EXT2 FS 0.5b, 95/08/09
/dev/sdc1 contains a file system with errors, check forced.
Pass 1: Checking inodes, blocks, and sizes
Error reading block 4358149 (Attempt to read block from filesystem resulted in short read) while doing inode scan.  Igno
re error<y>? yes

Pass 2: Checking directory structure
Pass 3: Checking directory connectivity
Pass 4: Checking reference counts
Pass 5: Checking group summary information
Error reading block 3309569 (Attempt to read block from filesystem resulted in short read) while reading inode and block
 bitmaps.  Ignore error<y>? yes

/dev/sdc1: 141991/2244608 files (0.3% non-contiguous), 959517/4482127 blocks


If i respond "N" to the prompt, fsck exits.  I tried a version of e2fsck from redhat 7.2 with identical results 
(except for the version number info).

in addition, debugfs refuses to open the filessystem, so i cannot delete the offending inode, and continue
to fix the filesystem.  if the situation were less serious, debugfs' message would be somewhat amusing:

[root@ovlinux /root]# debugfs -w /dev/sdc1
debugfs 1.18, 11-Nov-1999 for EXT2 FS 0.5b, 95/08/09
/dev/sdc1: Can't read an inode bitmap while reading inode bitmap
debugfs:  open /dev/sdv\v/c\cds/ved/ nepo/
debugfs:  open /dev/sdc1
/dev/sdc1: Can't read an inode bitmap while reading inode bitmap

how can i get rid of these two inodes?



Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Florian La Roche 2003-02-20 10:57:19 EST
Please try to update to a current e2fsprogs and check if that error is still
happeneing with that to rescue your data. The e2fsprogs release in Red Hat Linux
6.2 is already pretty ancient and many bugfixes have gone into more recent
versions.

Please re-open if you can still see problems with a current release and have
some direction on what problems you have on-disk that are not yet solvable
with e2fsprogs.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.